Subject: Re: [devuan-dev] bug#882: /etc/logrotate.d/lighttpd: Questionable use of invoke-rc.d

From: Lorenzo <[email-masked]>
Date: Wed, 2 Apr 2025 14:12:08 +0200

On Wed, 2 Apr 2025 13:56:10 +0200
Opty <[email-masked]> wrote:

> On Tue, Apr 1, 2025 at 6:36 PM Mark Hindley <[email-masked]>
> wrote:
> > However, I am sure that lighttpd isn't forked in Devuan and so this
> > should be reported directly to Debian's BTS.
> 
> Now that Debian uses systemd by default I considered Devuan a better
> place for System V style init stuff but I will think about reporting
> to Debian BTS then.

Please don't: while this may solve your use case it will break other
more common use cases that are currently working.
Example:
lighttpd installed but disabled by the local admin (K links) but if
service wrapper is used instead of invoke-rc.d the logrotate snippet
will try to signal lighttpd regardless, which should not happen.

on a side note, runit is currently using invoke-rc.d to forward
logrotate actions to runit services, so your change would break that too

Regards,
Lorenzo

> 
> Regards,
> Opty
> _______________________________________________
> devuan-dev internal mailing list
> [email-masked]
> Manage your subscription:
> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev
> Archive: https://lists.dyne.org/lurker/list/devuan-dev.en.html